#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

xinetd_conf="$destdir/etc/xinetd.conf"
tftpd_conf="$destdir/etc/xinetd.d/tftp"
hosts_allow_conf="$destdir/etc/hosts.allow"

#remove xinetd/tcpwrappers restrictions
if [ -s "$tftpd_conf" ]; then
    sed -r 's,^([[:space:]]*disable[[:space:]]*=[[:space:]]*yes.*),#\1,' -i "$tftpd_conf"
fi

if [ -s "$xinetd_conf" ]; then
    sed -r 's,^([[:space:]]*only_from[[:space:]]*=[[:space:]]*127.0.0.1.*),#\1,' -i "$xinetd_conf"
fi

if egrep -qs '^[[:space:]]*in.tftpd:[[:space:]]+' "$hosts_allow_conf"; then
    sed -r 's,^[[:space:]]*in.tftpd:[[:space:]]+.*,in.tftpd: ALL,' -i "$hosts_allow_conf"
else
    echo "in.tftpd: ALL" >> "$hosts_allow_conf"
fi

# remove portmap restrictions
run_chroot control portmap server ||:
